#!/usr/bin/python
##### Slabljenje dezja - S53MV 30.03.2018 #####

import math,cmath	#uporabljene funkcije

x=[]		#polja za risanje grafa
y1=[]
z1=[]
y2=[]
z2=[]
y3=[]
z3=[]
y4=[]

rmin=1		#obmocje grafa
rmax=100
k=1.01		#korak grafa

gv1=0.013	#parametri za 11GHz
gh1=0.015
ev1=1.22
eh1=1.23
gv2=0.05	#parametri za 18GHz
gh2=0.054
ev2=1.12
eh2=1.13
gv3=0.15	#parametri za 30GHz
gh3=0.17
ev3=1.04
eh3=1.04

g4=0.01217	#parametri za 10GHz
e4=1.2517

r=rmin
while r<rmax:	#zanka po jakosti dezja
	x=x+[r]
	y1=y1+[gv1*(r**ev1)]
	z1=z1+[gh1*(r**eh1)]
	y2=y2+[gv2*(r**ev2)]
	z2=z2+[gh2*(r**eh2)]
	y3=y3+[gv3*(r**ev3)]
	z3=z3+[gh3*(r**eh3)]
	y4=y4+[g4*(r**e4)]
	r=r*k		#povecaj r za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
fig=plt.figure()
plt.loglog(x,y4,'m-')
plt.loglog(x,z3,'r--')
plt.loglog(x,y3,'r-')
plt.loglog(x,z2,'g--')
plt.loglog(x,y2,'g-')
plt.loglog(x,z1,'b--')
plt.loglog(x,y1,'b-')
plt.title('Slabljenje padavin pri $f$=11,18,30,60GHz')
plt.xlabel('Jakost padavin $R$ [mm/h]')
plt.ylabel(r'Slabljenje -$a$/$l$ [dB/km]')
plt.grid(True)
fig.savefig('dez.svg', transparent=True)
plt.show()

#konec programa

